Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Class DDataPattern

    java.lang.Object
      org.kohsuke.rngom.digested.DPattern
          org.kohsuke.rngom.digested.DDataPattern

All Implemented Interfaces:
  ParsedPattern

    public class DDataPattern

extends DPattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary
`class` | `DDataPattern.Param` Parameter to a data pattern.

Constructor Summary
`DDataPattern()`

Method Summary
`java.lang.Object` | `accept(DPatternVisitor visitor)`
`java.lang.String` | `getDatatypeLibrary()` Gets the datatype library URI.
`DPattern` | `getExcept()` Gets the pattern that reprsents the <except> child of this data pattern.
`java.util.List<DDataPattern.Param>` | `getParams()` Gets the parameters of this <data pattern.
`java.lang.String` | `getType()` Gets the datatype name, such as "int" or "token".
`boolean` | `isNullable()` Returns true if this pattern is nullable.

Methods inherited from class org.kohsuke.rngom.digested.DPattern
`createParseable, getAnnotation, getLocation, isAttribute, isElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDataPattern

    public DDataPattern()

Method Detail

### getDatatypeLibrary

    public java.lang.String getDatatypeLibrary()

  Gets the datatype library URI.

  Returns:
    Can be empty (which represents the built-in datatypes), but never null.

### getType

    public java.lang.String getType()

  Gets the datatype name, such as "int" or "token".

  Returns:
    never null.

### getParams

    public java.util.List<DDataPattern.Param> getParams()

  Gets the parameters of this <data pattern.

  Returns:
    can be empty but never null.

### getExcept

    public DPattern getExcept()

  Gets the pattern that reprsents the <except> child of this data pattern.

  Returns:
    null if not exist.

### isNullable

    public boolean isNullable()

  Description copied from class: `DPattern`
  Returns true if this pattern is nullable. A nullable pattern is a pattern that can match the empty sequence.

  Specified by:
    `isNullable` in class `DPattern`

### accept

    public java.lang.Object accept(DPatternVisitor visitor)

  Specified by:
    `accept` in class `DPattern`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD